Name:           perl-MooseX-Singleton
Version:        0.29
Release:        1%{?dist}
Summary:        Turn your Moose class into a singleton
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Singleton/
Source0:        http://search.cpan.org/CPAN/authors/id/K/KA/KAARE/MooseX-Singleton-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Moose) >= 1.10
BuildRequires:  perl(MooseX::StrictConstructor) >= 0.16
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl(Test::Exception)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
A singleton is a class that has only one instance in an application.
MooseX::Singleton lets you easily upgrade (or downgrade, as it were) your
Moose class to a singleton.

%prep
%setup -q -n MooseX-Singleton-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jan 12 2012 Iain Arnell <iarnell@gmail.com> 0.29-1
- update to latest upstream version

* Sat Oct 01 2011 Iain Arnell <iarnell@gmail.com> 0.27-1
- update to latest upstream version

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.26-2
- Perl mass rebuild

* Sun Mar 06 2011 Iain Arnell <iarnell@gmail.com> 0.26-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 08 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.25.1
- Upstream update (Fix FTBFS: BZ 661030).
- Remove requires-filter.
- Adjust BR's.

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.21-4
- Mass rebuild with perl-5.12.0

* Thu Dec 10 2009 Allisson Azevedo <allisson@gmail.com> 0.21-3
- Update BR.
- Remove README from docs.

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.21-2
- rebuild against perl 5.10.1

* Sat Sep 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.21-1
- auto-update to 0.21 (by cpan-spec-update 0.01)
- altered br on perl(Moose) (0.74 => 0.82)
- added a new req on perl(Moose) (version 0.82)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 02 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.17-1
- auto-update to 0.17 (by cpan-spec-update 0.01)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- altered br on perl(Moose) (0.65 => 0.74)

* Wed Mar 04 2009 Allisson Azevedo <allisson@gmail.com> 0.14-1
- Initial rpm release.
